<?php	
	//---------------------------------------------------------------------------------------------------------
	// 25/Octubre/2018
	// Versión 1.0 Sección Ficha en la nueva versión de WS
	//---------------------------------------------------------------------------------------------------------
	//Modificado temporalmente por Pedro el 16/Julio/2018 ==> el artículo ya me lo ha cargado la sección
	$articulo_actual = Sections::getParam('articulo');
	
	if ($articulo_actual !== NULL){
        //$articulo_actual = new Articulo($articulo);
		
		/*
		Ahora se nos plantea un problema. Es posible que un producto esté en varios escaparates, así que a la izquierda nos interesa mantener el escaparate de origen.
		Es por ello que debemos comprobar si hay escaparate de origen, si lo hay compararlo con los que tiene el artículo. En caso de que exista lo mantenemos.
		Si no existe en la lista, ponemos el primero del artículo como escaparate actual
		*/
		
		$codigo_a_asignar = 0;
		$ultimo_escaparate_visitado = Sesion::get("ultimo_escaparate_visitado");
		if ( $ultimo_escaparate_visitado > 0){
			//Tenemos que buscarlo en el artículo
			//Si el último escaparate visitado está en el artículo, entonces lo cogemos, si no está en el artículo, cogemos SIEMPRE el primer escaparate del artículo
			$codigo_a_asignar = $articulo_actual->dame_indice_escaparate_codigo($ultimo_escaparate_visitado);
			if ($codigo_a_asignar == NULL){
				$escaparate_actual = new Escaparate($ultimo_escaparate_visitado, 1);
				$escaparate_actual->carga_miga();
			}else{
                            $escaparate_actual =  $articulo_actual->lista_escaparates[$codigo_a_asignar];
			}
		}else{
			//Si no tenemos último escaparate, vamos a coger el primero del artículo (si lo tuviese)
                    if (count($articulo_actual->lista_escaparates) > 0){
                        $escaparate_actual = $articulo_actual->lista_escaparates[0];
			}
		}

		//Por último, la ficha del artículo es la que tiene que cargar los datos seo de la web
		$descripcion_web = $articulo_actual->descripcion_seo;
		$keywords_web = $articulo_actual->keywords_seo;
		$title_web = $articulo_actual->title_seo;
	}